import { getField, updateField } from 'vuex-map-fields';

export const orderlist = {
    namespaced: true,
    state: {
        inprogress: false,
        orderNumber: "",
        createdDate: "",
        toDate: "",
        purchaseOrderNumber: ""

    },
    getters: {
        getField,

    },
    mutations: {
        updateField,
        inProgress(state, yesOrNo) {
            state.inProgress = yesOrNo
        },
        // SetOrderlist(state, orderItem) {
        // // console.log(state.orderNumber=orderItem)
        // }   
    },

    actions: {
        searchOrder:({ commit }, orderItem) => {
            commit('SetOrderlist', orderItem);
        }
    }

}
